List emails
curl --request GET \
--url https://api.inflection.io/v2/emails \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.inflection.io/v2/emails"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.inflection.io/v2/emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.inflection.io/v2/emails",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.inflection.io/v2/emails"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.inflection.io/v2/emails")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.inflection.io/v2/emails")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"templateId": "<string>",
"name": "<string>",
"subject": "<string>",
"templateType": "advanced",
"isEmpty": true,
"tags": [
"<string>"
],
"directoryId": "<string>",
"directoryName": "<string>",
"createdAt": "<string>",
"createdBy": {},
"updatedAt": "<string>",
"updatedBy": {}
}
],
"pagination": {
"pageNumber": 123,
"pageSize": 123,
"totalElements": 123,
"totalPages": 123
},
"meta": {
"status": "SUCCESS",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"errors": [
{
"errorCode": "NOT_FOUND",
"message": "<string>",
"detail": "<string>"
}
],
"meta": {
"status": "SUCCESS",
"timestamp": "2023-11-07T05:31:56Z"
}
}Emails
List emails
Paged list of email assets. type is repeatable. The heavy fields
(content, contentJson, previews) are not returned. Read one email
for those. isEmpty is derived. An unresolvable folderId yields an
empty page rather than an error.
GET
/
v2
/
emails
List emails
curl --request GET \
--url https://api.inflection.io/v2/emails \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.inflection.io/v2/emails"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.inflection.io/v2/emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.inflection.io/v2/emails",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.inflection.io/v2/emails"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.inflection.io/v2/emails")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.inflection.io/v2/emails")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"templateId": "<string>",
"name": "<string>",
"subject": "<string>",
"templateType": "advanced",
"isEmpty": true,
"tags": [
"<string>"
],
"directoryId": "<string>",
"directoryName": "<string>",
"createdAt": "<string>",
"createdBy": {},
"updatedAt": "<string>",
"updatedBy": {}
}
],
"pagination": {
"pageNumber": 123,
"pageSize": 123,
"totalElements": 123,
"totalPages": 123
},
"meta": {
"status": "SUCCESS",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"errors": [
{
"errorCode": "NOT_FOUND",
"message": "<string>",
"detail": "<string>"
}
],
"meta": {
"status": "SUCCESS",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Query Parameters
Was this page helpful?